List onboarded organizations
curl --request GET \
--url https://api.coderabbit.ai/v1/organizations \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/organizations"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "github",
"provider_organization_id": "<string>"
}
],
"next_cursor": "<string>"
}List organizations
Lists active organizations in CodeRabbit. Organization API keys return their bound organization; workspace API keys return all active organizations in the workspace. Enterprise plan only.
GET
/
v1
/
organizations
List onboarded organizations
Requires the
organization_management:read permission. Workspace API key owners must also remain workspace admins.id with List organization repositories. Do not use provider_organization_id, which is assigned by the Git provider.
Pagination
Whennext_cursor is not null, pass it in the next request’s cursor query parameter. The cursor retains the original page size, so you can omit limit from subsequent requests. If you include limit, it must match the value used for the first request.
Rate limit
This endpoint is limited to 10 requests per minute.Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Headers
User-scoped organization or workspace API key.
Query Parameters
Required range:
1 <= x <= 100Opaque pagination cursor returned by the previous page.
Was this page helpful?
⌘I